Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.cms.impl.cache
Class CMSTreeCacheServiceImpl

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.portal.jems.as.system.AbstractJBossService
                  org.jboss.portal.cms.impl.cache.CMSTreeCacheServiceImpl

All Implemented Interfaces:
  javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, CMSTreeCacheService, org.jboss.system.Service, org.jboss.system.ServiceMBean

    public class CMSTreeCacheServiceImpl

extends AbstractJBossService
implements CMSTreeCacheService

Version:
  $Revision: 6728 $
Author:
  Thomas Heute

Field Summary
`protected JNDI.Binding` | `jndiBinding`

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.portal.cms.impl.CMSTreeCacheService
`JNDIName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`CMSTreeCacheServiceImpl()`

Method Summary
`File` | `get(java.lang.String path, java.util.Locale locale)` Get a file from the cache, returns null if the file cannot be found
`org.jboss.cache.TreeCacheMBean` | `getCache()`
`java.lang.String` | `getJNDIName()`
`void` | `put(java.lang.String path, java.util.Locale locale, File file)` Put a CMS file into the cache
`void` | `remove(java.lang.String path)` Remove a file (all languages)
`void` | `remove(java.lang.String path, java.util.Locale locale)` Remove a localized file
`void` | `setCache(org.jboss.cache.TreeCacheMBean cache)`
`void` | `setJNDIName(java.lang.String jndiName)`
`void` | `startService()`
`void` | `stopService()`

Methods inherited from class org.jboss.portal.jems.as.system.AbstractJBossService
`create, destroy, getState, getStateString, start, stop`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`createService, destroyService, getDeploymentInfo, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, nextNotificationSequenceNumber, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### jndiBinding

    protected JNDI.Binding jndiBinding

Constructor Detail

### CMSTreeCacheServiceImpl

    public CMSTreeCacheServiceImpl()

Method Detail

### getJNDIName

    public java.lang.String getJNDIName()

### setJNDIName

    public void setJNDIName(java.lang.String jndiName)

### get

    public File get(java.lang.String path,
                    java.util.Locale locale)

  Description copied from interface: `CMSTreeCacheService`
  Get a file from the cache, returns null if the file cannot be found

  Specified by:
    `get` in interface `CMSTreeCacheService`

### put

    public void put(java.lang.String path,
                    java.util.Locale locale,
                    File file)

  Description copied from interface: `CMSTreeCacheService`
  Put a CMS file into the cache

  Specified by:
    `put` in interface `CMSTreeCacheService`

### remove

    public void remove(java.lang.String path,
                       java.util.Locale locale)
                throws CMSCacheException

  Description copied from interface: `CMSTreeCacheService`
  Remove a localized file

  Specified by:
    `remove` in interface `CMSTreeCacheService`
  Throws:
    `CMSCacheException`

### remove

    public void remove(java.lang.String path)
                throws CMSCacheException

  Description copied from interface: `CMSTreeCacheService`
  Remove a file (all languages)

  Specified by:
    `remove` in interface `CMSTreeCacheService`
  Throws:
    `CMSCacheException`

### startService

    public void startService()

  Overrides:
    `startService` in class `org.jboss.system.ServiceMBeanSupport`

### stopService

    public void stopService()

  Overrides:
    `stopService` in class `org.jboss.system.ServiceMBeanSupport`

### getCache

    public org.jboss.cache.TreeCacheMBean getCache()

### setCache

    public void setCache(org.jboss.cache.TreeCacheMBean cache)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD